Using the µVision Socket Interface: VARINFO Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
VARINFO Struct Reference
Structs

## Data Fields
int | nID
| Unique variable/watch expression id (1- based) More...
int | index
| Variable index in parent's list (0 - based) More...
int | count
| Array size/ struct member count (0 - not an array or struct) More...
int | typeSize
| sizeof variable More...
UINT | bEditable:1
| variable value can be edited More...
UINT | bPointer:1
| variable is a pointer More...
UINT | bFunction:1
| variable is a function pointer More...
UINT | bStruct:1
| variable is a struct More...
UINT | bUnion:1
| variable is a union More...
UINT | bClass:1
| variable is a class More...
UINT | bArray:1
| variable is an array More...
UINT | bEnum:1
| variable is an enum More...
UINT | bAuto:1
| variable is an auto local variable More...
UINT | bParam:1
| variable is a function parameter More...
UINT | bStatic:1
| variable is a local static variable More...
UINT | bGlobal:1
| variable is a global variable or a member of a global variable More...
UINT | bValue:1
| value field is filled More...
UINT | __pad0__:12
| Reserved. More...
UINT | bType:1
| type field is filled More...
UINT | bName:1
| name field is filled More...
UINT | bQualified:1
| qualifiedName field is filled More...
UINT | __pad1__:4
| Reserved. More...
SSTR | value
| Value of variable or expression. More...
SSTR | type
| Type of variable or expression. More...
SSTR | name
| Name of variable or watch expression member. More...
SSTR | qualifiedName
| Fully qualified name to acces variable or member like an expression. More...

## Description

Information about watch expression, variable or its member

Extended stack mode only

This structure contains a variable id, name, type, value and member count/array size

This structure is used in the following messages: Client <== uVision (Response)

- UV_DBG_EVAL_WATCH_EXPRESSION (uVision writes VARINFO result of evaluation)
- UV_DBG_ENUM_VARIABLES (uVision writes VARINFO array results of enumeraton)

## Field Documentation

UINT VARINFO::__pad0__

Reserved.

UINT VARINFO::__pad1__

Reserved.

UINT VARINFO::bArray

variable is an array

UINT VARINFO::bAuto

variable is an auto local variable

UINT VARINFO::bClass

variable is a class

UINT VARINFO::bEditable

variable value can be edited

UINT VARINFO::bEnum

variable is an enum

UINT VARINFO::bFunction

variable is a function pointer

UINT VARINFO::bGlobal

variable is a global variable or a member of a global variable

UINT VARINFO::bName

name field is filled

UINT VARINFO::bParam

variable is a function parameter

UINT VARINFO::bPointer

variable is a pointer

UINT VARINFO::bQualified

qualifiedName field is filled

UINT VARINFO::bStatic

variable is a local static variable

UINT VARINFO::bStruct

variable is a struct

UINT VARINFO::bType

type field is filled

UINT VARINFO::bUnion

variable is a union

UINT VARINFO::bValue

value field is filled

int VARINFO::count

Array size/ struct member count (0 - not an array or struct)

int VARINFO::index

Variable index in parent's list (0 - based)

SSTR VARINFO::name

Name of variable or watch expression member.

int VARINFO::nID

Unique variable/watch expression id (1- based)

SSTR VARINFO::qualifiedName

Fully qualified name to acces variable or member like an expression.

SSTR VARINFO::type

Type of variable or expression.

int VARINFO::typeSize

sizeof variable

SSTR VARINFO::value

Value of variable or expression.